Index: /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Shapes/RectangularPackingShape.cs
===================================================================
--- /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Shapes/RectangularPackingShape.cs	(revision 9595)
+++ /branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Shapes/RectangularPackingShape.cs	(revision 9596)
@@ -51,4 +51,11 @@
     public override int MultipliedMeasures { get { return Height * Width; } }
 
+    public override bool EnclosesPoint(TwoDimensionalPacking myPosition, TwoDimensionalPacking checkedPoint) {
+      var r = new RectangleDiagonal(myPosition, this);
+      return (r.x1 <= checkedPoint.X &&
+                r.x2 >= checkedPoint.X &&
+                r.y1 <= checkedPoint.Y &&
+                r.y2 >= checkedPoint.Y);
+    }
     public override bool Encloses(TwoDimensionalPacking checkedPosition, PackingShape<TwoDimensionalPacking> checkedShape) {
       return Encloses(checkedPosition, (RectangularPackingShape)checkedShape);
